Skip to main content
Resource Center/Resource Pool/Auto-Scaling Group Operations
PUTAuto-Scaling Group OperationsSince 3.9.0SynchronousAuth Required

UpdateAutoScalingVmTemplate

UpdateAutoScalingVmTemplate

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The VM template UUID.

Body Fields

  • updateautoscalingvmtemplateObjectRequired

    updateautoscalingvmtemplate request body object.

    • nameString

      Optional. The template name.

    • descriptionString

      Optional. The detailed description.

    • vmInstanceNameString

      Optional. The name of the VM instance.

    • vmInstanceDescriptionString

      Optional. The description of the VM instance.

    • vmInstanceOfferingUuidString

      Optional. The instance offering UUID of the VM instance.

    • imageUuidString

      Optional. The UUID of the VM image.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryAutoScalingTemplateInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • typeStringRequired

      The template type.

    • stateStringRequired

      The state of the template.

    • systemTagsListRequired

      系统标签。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

PUT/zstack/v1/autoscaling/vmtemplate/{uuid}/actions

/zstack/v1/autoscaling/vmtemplate/{uuid}/actions

Operation ID

UpdateAutoScalingVmTemplate

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/autoscaling/vmtemplate/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updateautoscalingvmtemplate":{"name":"<name>","description":"<description>","vmInstanceName":"<vmInstanceName>","vmInstanceDescription":"<vmInstanceDescription>","vmInstanceOfferingUuid":"<vmInstanceOfferingUuid>","imageUuid":"<imageUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "name": "template", "description": "desc", "state": "Enabled" } }

Change History

This API has no change history records yet.

View all change history